﻿
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}
@*<h2>Index</h2>*@
@section Scripts
{
    @Scripts.Render("~/bundles/anrole")
}
<div ng-controller="roleController">
    <div class="w3-container">
        <h2 align="center">مدیریت نقشهای کاربران</h2>
        <h5 align="center" ng-show="loading">در حال واکشی داده ها...<i class="fa fa-spinner fa-spin fa-2x"></i></h5>

        @*<Role-form/>*@

        @*<a href="#"><i class="fa fa-2x fa-plus" ng-click="editRole('new')"></i></a>*@
        @*<button class="w3-btn w3-green w3-ripple" ng-click="editRole('new')">&#10010; ایجاد یک ورودی جدید</button>*@
        <button class="w3-btn w3-light-green w3-ripple" ng-click="editRole('new')"><i class="glyphicon glyphicon-plus action-icon-form"></i> ایجاد یک ورودی جدید</button>
        <br />
        <br />
        <form>
            <div class="form-group">
                <div class="input-group">
                    <input type="text" class="form-control" placeholder="مورد جستجو را وارد کنید..." ng-model="query">
                    <div class="input-group-addon"><i class="fa fa-search w3-text-green action-icon-form"></i></div>
                </div>
            </div>
        </form>
        <table class="table table-striped table-hover table-responsive defultcursor">
            <thead>
                <tr class="w3-light-blue">
                    @*<th>
                            <a href="#" ng-click="sortType = 'ID'; sortReverse = !sortReverse">
                                کد
                                <span ng-show="sortType == 'ID' && !sortReverse" class="fa fa-sort-down"></span>
                                <span ng-show="sortType == 'ID' && sortReverse" class="fa fa-sort-up"></span>
                            </a>
                        </th>*@
                    <th ng-click="sort('RoleName')">
                        نام نقش
                        <span class="glyphicon sort-icon" ng-show="sortKey=='RoleName'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                    </th>
                    <th ng-click="sort('RoleCaption')">
                        برچسب نقش
                        <span class="glyphicon sort-icon" ng-show="sortKey=='RoleCaption'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                    </th>
                    <th>فعالیت</th>
                </tr>
            </thead>
            <tbody>
                @*<tr class="defultcursor" ng-repeat="Role in Roles.slice(((currentPage-1)*itemsPerPage),
                    ((currentPage)*itemsPerPage)) | filter:myfilter  |orderBy:sortKey:reverse">*@
                <tr dir-paginate="role in roles | filter:query  | orderBy:sortKey:reverse | itemsPerPage:viewby">
                    @*<td>
        {{role.ID}}
    </td>*@
                    <td style="width:30%">
                        {{role.RoleName}}
                    </td>
                    <td style="width:20%;font-weight:bold">
                        {{role.RoleCaption}}
                    </td>
                    <td style="width:10%">
                        <a href="#"><i class="glyphicon glyphicon-edit greencolor action-icon" ng-click="editRole(role.ID)"></i></a>
                        <a href="#"><i class="glyphicon glyphicon-remove redcolor action-icon" ng-click="deleteRole(role.ID)"></i></a>
                        @*<button class="w3-btn w3-blue w3-ripple" ng-click="editRole(Role.ID)">&#9998; ویرایش</button>
                            <button class="w3-btn w3-red w3-ripple" ng-click="deleteRole(Role.ID)">&#10005; حذف</button>*@
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table defultcursor">
            <tr>
                <td width="30%">
                    <dir-pagination-controls max-size=maxSize
                                             direction-links="true"
                                             boundary-links="true">
                    </dir-pagination-controls>

                </td>
                <td width="25%">
                    <form role="form" class="form-inline">
                        <div class="form-group form-group-sm">
                            <label class="pagination">تعداد سطرهای قابل نمایش:</label>
                            <select class="form-control pagination" ng-model="viewby" ng-change="setItemsPerPage(viewby)" ng-options="item for item in viewByOption"></select>
                        </div>
                    </form>
                </td>
                <td width="15%">
                    <label class="pagination w3-text-brown">کل رکوردها: {{roles.length}}</label>
                </td>
                <td width="20%">
                    <label class="pagination w3-text-deep-purple">رکوردهای قابل نمایش: {{(roles|filter:query).length}}</label>
                </td>
            </tr>
        </table>
    </div>


</div>

